PIRL.Viewers

## Class Percent_Bar_UI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - PIRL.Viewers.Percent_BarUI
    - - PIRL.Viewers.Percent_Bar_UI

    public class Percent_Bar_UI
    extends Percent_BarUI

A Percent_Bar_UI provides a ComponentUI delegate for the Percent_Bar component.

See Also:
  `Percent_Bar`

### Field Summary

Fields
`static String` `ID` Class identification name with source code version and date.

### Constructor Summary

Constructors
Constructor and Description
`Percent_Bar_UI()` Construct a Percent_Bar_UI object.

### Method Summary

Methods
`static ComponentUI` `createUI(JComponent component)` Construct a Percent_Bar_UI object for the specified JComponent.
`void` `paint(Graphics graphics, JComponent component)` Paint the component on the graphics display device.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

### Constructor Detail

#### Percent_Bar_UI

    public Percent_Bar_UI()

Construct a Percent_Bar_UI object.

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent component)

Construct a Percent_Bar_UI object for the specified JComponent.

Parameters:
  `component` - The JComponent for which ComponentUI delegation is to be provided.
Returns:
  A Percent_Bar_UI object.

#### paint

    public void paint(Graphics graphics,
             JComponent component)

Paint the component on the graphics display device.

Overrides:
  `paint` in class `ComponentUI`
Parameters:
  `graphics` - The Graphics on which to paint the component.
  `component` - The JComponent to be painted.